Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::MeritSeq::CoordUniformInnerProd< LAT, COMPRESS >::Seq< GENSEQ > Class Template Reference

Sequence of inner product values. More...

`#include <CoordUniformInnerProd.h>`

Inherits LatBuilder::BridgeSeq< Seq< GENSEQ >, GENSEQ, MeritValue, BridgeIteratorCached >.

## Public Types
typedef GENSEQ | GenSeq
typedef Seq::Base | Base
typedef Seq::size_type | size_type
Public Types inherited from LatBuilder::BridgeSeq< Seq< GENSEQ >, GENSEQ, MeritValue, BridgeIteratorCached >
typedef BridgeSeq< Seq< GENSEQ > , GENSEQ, MeritValue, BridgeIteratorCached > | BridgeSeq_
typedef GENSEQ | Base
typedef MeritValue | value_type
typedef Base::size_type | size_type
typedef BridgeIteratorCached < Seq< GENSEQ > > | const_iterator

## Public Member Functions
template<typename E >
| Seq (const CoordUniformInnerProd &parent, GenSeq genSeq, const boost::numeric::ublas::vector_expression< E > &vec)
| Constructor. More...
MeritValue | element (const typename Base::const_iterator &it) const
const CoordUniformInnerProd & | innerProd () const
| Returns the parent inner product of this sequence.
Public Member Functions inherited from LatBuilder::BridgeSeq< Seq< GENSEQ >, GENSEQ, MeritValue, BridgeIteratorCached >
| BridgeSeq (Base base=Base())
| Constructor. More...
Base & | base ()
| Returns the base sequence.
const Base & | base () const
void | setBase (Base b)
| Changes the base sequence to `b`.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Detailed Description

### template<LatType LAT, Compress COMPRESS>
template<class GENSEQ>
class LatBuilder::MeritSeq::CoordUniformInnerProd< LAT, COMPRESS >::Seq< GENSEQ >

Sequence of inner product values.

Template Parameters

  GENSEQ | Type of sequence of generator values.

## Constructor & Destructor Documentation

template<LatType LAT, Compress COMPRESS>
template<class GENSEQ>
template<typename E >

LatBuilder::MeritSeq::CoordUniformInnerProd< LAT, COMPRESS >::Seq< GENSEQ >::Seq | ( | const CoordUniformInnerProd & | parent,
|  | GenSeq< GENSEQ > | genSeq,
|  | const boost::numeric::ublas::vector_expression< E > & | vec
| ) |  |
| inline

Constructor.

Parameters

  parent | Parent inner product instance.
  genSeq | Sequence of generator sequences that determines the order of the permutations of `baseVec`.
  vec | Second operand in the inner product.

References LatBuilder::MeritSeq::CoordUniformInnerProd< LAT, COMPRESS >::internalStorage().

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritSeq/CoordUniformInnerProd.h